<?php
$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_4ae48f0b4a26d39f5b586b01beb3" . "3fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lk" . "LCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKGludDp1X2lkLCBpbnQ6cF9p" . "ZCwgaW50Om9uY2Up"), "_e656e7cb7f4bfc035dd97e" . "8a7055b847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb2" . "5zIFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQ="), "_ffc655ae461b838dffa45517" . "84bacfca" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6dV9p" . "ZCBBTkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_11bb4e3dc1e3624a6e" . "cb56860f9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSBwdWJsaXNoX25vdGl" . "maWNhdGlvbnMgV0hFUkUgcGFnZV9pZD1pbnQ6cF9pZA" . "=="), "_b1dd56266fec1e595c364d" . "7bfc1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW" . "9ucyBTRVQgdXNlcl9pZD1pbnQ6bmV3X2lk" . "IFdIRVJFIHVzZXJfaWQ9aW50OnVfaWQ="), "_20a787300c045525023" . "3fd06fa0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQgSU4gaW46aW50OnVzZXJzIEFORCBwYWdlX2lkPWludDpwX2lkIEFORCBvbmNlID" . "0gMQ=="), "_2563c0d294fc62089228d12c57f6d" . "a77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZCA9IGludDp1X2lkIEF" . "ORCBwYWdlX2lkID0gaW50OnBfaWQ="), "_53bfc51e054c55b09ff" . "aa67e35743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9u" . "cyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1" . "c2VyX2lkPWludDp1X2lkIEFORCBwYWdlX2lk" . "PWludDp1X2lk"), "_c06c961f393742ecfd52" . "b72263ac9470" => base64_decode("aW50dmF" . "s"), "_b707d4367ddde579d81c" . "047d544710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIR" . "VJFIHVzZXJfaWQ9aW50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50On" . "BfaWQ="), "_48467b7" . "a05f92d5" . "ee95d490" . "c490118d" . "1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub" . "3RpZmljYXRpb25zIFdIRVJFIHBhZ2" . "VfaWQ9aW50OnBfaWQ="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_c06c961f" . "393742ecf" . "d52b72263" . "ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_2563c0d294fc62089228d12c57f6d" . "a77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_53bfc51e054c55b09ffaa67e3574" . "3c96"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c06c961f393742ecfd52" . "b72263ac9470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_4ae48f0b" . "4a26d39f5" . "b586b01be" . "b33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c06c961f393742ecfd52b7" . "2263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b707d4367dd" . "de579d81c047" . "d544710e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_20a787300c0" . "455250233fd0" . "6fa0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_48467b7a05f92" . "d5ee95d490c490" . "118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e656e7cb7" . "f4bfc035dd" . "97e8a7055b" . "847"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b1dd56266fec1e5" . "95c364d7bfc1254c" . "b"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ffc655ae461b838dffa4551784b" . "acfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_11bb4e3dc1e3624a" . "6ecb56860f9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}